#!/usr/bin/python3

import os
import subprocess

def cd():
    current_dir = os.path.dirname(__file__)

    if current_dir != "":
        os.chdir(current_dir)

def main():
    cd()
    opt = ""

    while opt == "":
        print("--Welcome to the install script for JustMotion--")
        print("If you haven't run the build script yet, I suggest you do that now.")
        print("What would you like to install/package?")
        print("[1][install] Server Only")
        print("[2][install] Client Only")
        print("[3][install] Both")
        print("[4][package] Server Only")
        print("[5][package] Client Only")
        print("[6][package] Both")
        print("[7] Quit\n")

        opt = input("[1-7]: ")

        if opt == "1":
            os.chdir("server")
            subprocess.run(["python3", "install.py", "--local"])
            break

        elif opt == "2":
            os.chdir("client")
            subprocess.run(["python3", "install.py", "--local"])
            break

        elif opt == "3":
            os.chdir("server")
            subprocess.run(["python3", "install.py", "--local"])
            os.chdir("../client")
            subprocess.run(["python3", "install.py", "--local"])
            break

        if opt == "4":
            os.chdir("server")
            subprocess.run(["python3", "install.py", "--installer"])
            break

        elif opt == "5":
            os.chdir("client")
            subprocess.run(["python3", "install.py", "--installer"])
            break

        elif opt == "6":
            os.chdir("server")
            subprocess.run(["python3", "install.py", "--installer"])
            os.chdir("../client")
            subprocess.run(["python3", "install.py", "--installer"])
            break

        elif opt == "7":
            break

        else:
            print("err: invalid option\n")
            opt = ""

    cd()

if __name__ == "__main__":
    main()
