#ifndef HOST_DIALOG_H
#define HOST_DIALOG_H

//    This file is part of JustMotion.

//    JustMotion is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    JustMotion is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

#include "common.h"

class HostDialog : public QDialog
{
    Q_OBJECT

private:

    ssh_opt   *sshOpts;
    QLineEdit *hostPort;
    QLineEdit *hostKey;
    QLineEdit *username;
    QLineEdit *pw;

    void closeEvent(QCloseEvent *event);

private slots:

    void wr();

public:

    explicit HostDialog(ssh_opt *opts, QWidget *parent = nullptr);
};

#endif // HOST_DIALOG_H
